
CC = gcc
CLDFLAGS = -g
GCCFLAGS = -Wall
LIBROOT = ./
LIBLILXML = ../liblilxml
CFLAGS = $(CLDFLAGS) $(GCCFLAGS) -I$(LIBROOT) -I$(LIBLILXML)
LDFLAGS = $(CLDFLAGS) -L$(LIBROOT) -L$(LIBLILXML)
LIBS =	-llilxml

all:	indiserver

indiserver: indiserver.o fq.o
	$(CC) $(LDFLAGS) -o $@ indiserver.o fq.o $(LIBS) -lpthread

clean:
	rm -f *.o indiserver 

install:	
	cp indiserver /usr/local/bin
	cp indiserver.man /usr/local/man/man1/indiserver.1
        
        
